Bug 149131 - lm_sensors must be updated to run properly on current FC2 kernels
lm_sensors must be updated to run properly on current FC2 kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-18 18:58 EST by Reuben Farrelly
Modified: 2015-03-04 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 06:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-02-18 18:58:54 EST
Using a current FC2 update kernel, I get this when I run sensors 2.8.6-1 (either
shipped with FC2 or obtained as part of an update):

[root@firestorm i2c]# sensors
as99127f-i2c-0-2d
Adapter: SMBus Via Pro adapter at e800
VCore 1:   +1.68 V  (min =  +0.00 V, max =  +0.00 V)       ALARM  (beep)
VCore 2:   +2.58 V  (min =  +0.00 V, max =  +0.00 V)       ALARM  (beep)
+3.3V:     +3.41 V  (min =  +3.14 V, max =  +3.46 V)              (beep)
+5V:       +5.08 V  (min =  +4.73 V, max =  +5.24 V)              (beep)
+12V:     +12.28 V  (min = +10.82 V, max = +13.19 V)              (beep)
-12V:     -12.46 V  (min = -13.22 V, max = -10.74 V)              (beep)
-5V:       -4.98 V  (min =  -5.25 V, max =  -4.74 V)              (beep)
fan1:     3629 RPM  (min =    0 RPM, div = 4)                     (beep)
fan2:        0 RPM  (min =    0 RPM, div = 4)                     (beep)
fan3:        0 RPM  (min =    0 RPM, div = 4)                     (beep)
M/B Temp:    +27°C  (high =  +105°C, hyst =    +0°C)          (beep)
CPU Temp:  +25.0°C  (high =  +100°C, hyst =   +92°C)          (beep)
temp3:     -31.5°C  (high =  +122°C, hyst =  +121°C)          (beep)
ERROR: Can't get VID data!
alarms:   
beep_enable:
          Sound alarm enabled

[root@firestorm i2c]#


Notice how the VCORE voltages are zero, this is because the VID data could not
be obtained by sensors - as stated lower down in the output.

To fix the problem, a newer version of lm_sensors is required, the version
straight out of FC4 -devel (2.88-4) is fine and installed with no dependency
problems.  After installing this, sensors now works correct.  This was due to a
kernel interface change which means that newer kernels require newer lm_sensors
packages.

Note from http://www2.lm-sensors.nu/~lm78/kernel26.html:

==============

Recommended kernel and lm_sensors combinations:

    * Kernels 2.6.9-rc1 and later: lm_sensors 2.8.8 or any later version
    * Kernels 2.6.5-rc1 to 2.6.8: lm_sensors 2.8.6 or any later version
    * Kernels 2.6.3-rc2 to 2.6.4: lm_sensors 2.8.5 

===============


In other words, an updated version of lm_sensors needs to be pushed to updates
to resolve this incompatibility.

If the version supported with FC3 is too old, then perhaps an update should also
be pushed out there too.
Comment 1 Matthew Miller 2005-04-26 11:03:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Reuben Farrelly 2005-04-27 06:54:09 EDT
A little disappointed that this wasn't fixed in time as it simply required a
re-tag of the FC3 SRPM (no patching required).

However as FC2 is now obsolete and the box which I found the bug with has been
upgraded to FC3, I'll close this right now as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.